## flask-wtf 0.14.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-WTF.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-WTF.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask-WTF"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Flask-WTF"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## flask-wtf 0.12

=== debian/changelog ===
flask-wtf (0.12-2) unstable; urgency=medium

  * Team upload.
  * Change compat to 9
  * Disable test communicating on the internet (Closes: #805662)
  * Fix B-D by adding flask-babel which is necessary for testing
  * Added doc-base

 -- Orestis Ioannou <orestis@oioannou.com>  Thu, 04 Feb 2016 00:39:30 +0100

flask-wtf (0.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Add python3 package. Closes: #782920, #764959
  * Switched to DEP5 copyright format
  * Switched to 3.0 quilt patches format
  * Switched to pybuild
  * Switch to pypi redirector for d/watch
  * Moved to Standards-Version: 3.9.6
  * Add separate documentation package
  * Simplify Build-Depends
  * Add patch to remove external resources from documentation
 
 -- Orestis Ioannou <orestis@oioannou.com>  Mon, 07 Sep 2015 10:00:50 +0200

flask-wtf (0.10.2-1) unstable; urgency=medium

  * New upstream version. 

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 05 Oct 2014 12:33:41 +0200

flask-wtf (0.10.0-1) unstable; urgency=medium

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Christian Hofstaedtler ]
  * New upstream version.
  * Update dependency versions, as per upstream requirements.txt/setup.py.
  * Replace sphinx-bundled underscore.js with link to libjs-underscore.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 26 Jul 2014 23:54:35 +0200

flask-wtf (0.6-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ Bernd Zeimetz ]
  * New upstream release.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 26 Apr 2012 20:01:14 +0200

flask-wtf (0.5.2-2) unstable; urgency=low

  * Team upload.
  * Convert to dh_python2
  * Bump python-flask's minimum required version to 0.6.1-2 (which provides
    flaskext namespace now)
  * Remove .pth file from binary package
  * Add python-wtforms and python-flask to Build-Depends-Indep (Sphinx uses
    them while generating docs)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 07 May 2011 19:41:53 +0200

flask-wtf (0.5.2-1) unstable; urgency=low

  * New upstream version.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 14 Feb 2011 14:48:21 +0100

flask-wtf (0.3.3-2) unstable; urgency=low

  * Rename binary package to be really according to the
    policy before it goes into unstable.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 20 Oct 2010 15:23:59 +0200

flask-wtf (0.3.3-1) unstable; urgency=low

  * Initial release.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 20 Oct 2010 11:40:25 +0200

=== debian/control ===
Source: flask-wtf
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all,
               dh-python,
               python-setuptools,
               python-sphinx (>= 0.6),
               python-flask,
               python-wtforms,
               python-flask-babel,
               python-nose,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-flask,
               python3-wtforms,
               python3-nose,
               python3-flask-babel
Standards-Version: 3.9.6
Homepage: http://packages.python.org/Flask-WTF/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Vcs-Git: git://anonscm.debian.org/python-modules/packages/flask-wtf.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/flask-wtf.git

Package: python-flaskext.wtf
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: libjs-jquery
Provides: ${python:Provides}
Conflicts: python-flaskext-wtf
Replaces: python-flaskext-wtf
Description: Simple integration of Flask and WTForms (Python 2)
 Flask-WTF is an extension for Flask, providing a simple integration
 of WTForms. It includes optional CSRF handling and Recaptcha support.
 .
 This is a Python 2 package

Package: python3-flaskext.wtf
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: libjs-jquery
Provides: ${python:Provides}
Description: Simple integration of Flask and WTForms (Python 3)
 Flask-WTF is an extension for Flask, providing a simple integration
 of WTForms. It includes optional CSRF handling and Recaptcha support.
 .
 This is a Python 3 package

Package: python-flaskext.wtf-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: libjs-jquery
Description: Simple integration of Flask and WTForms (doc)
 Documentation for Flask-WTF: an extension for Flask, providing a
 simple integration of WTForms. It includes optional CSRF handling
 and Recaptcha support.

=== debian/rules ===
#!/usr/bin/make -f


# normally we should run the tests at build time,
# but they require flask-testing, which is not packaged yet.
# So skip them for now.

export PYBUILD_NAME=flaskext.wtf

%:
	dh $@ --with sphinxdoc,python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd docs && rm license.rst
	cd docs && PYTHONPATH=$(CURDIR)/ make html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf Flask_WTF.egg-info

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Flask-WTF/Flask-WTF-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## flask-wtf 0.14.2

=== debian/changelog ===
flask-wtf (0.14.2-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 21:33:45 +0500

flask-wtf (0.14.2-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Christoph Berg ]
  * Clean docs/_build/ and don't fail on building twice.
  * Remove obsolete comment about needing flask-testing.
  * Mark python-flaskext.wtf-doc as M-A: foreign.
  * Disable failing i18n test. (Closes: #912069)
  * Disable failing recaptcha test.

 -- Christoph Berg <myon@debian.org>  Sat, 12 Jan 2019 20:36:43 +0100

flask-wtf (0.14.2-2) unstable; urgency=medium

  * Team upload.
  * Convert repository to gbp.
  * Add debian/tests/import; the autodep8 tries to use "flaskext.wtf" as
    module name otherwise.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 05 Dec 2017 15:50:39 +0100

flask-wtf (0.14.2-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Adrian Vondendriesch ]
  * New upstream version.
  * Bump Standards-Version to 3.9.8

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 02 Jun 2017 10:31:28 +0200

=== debian/control ===
Source: flask-wtf
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-flask,
               python3-wtforms,
               python3-nose,
               python3-flask-babel
Standards-Version: 4.1.2
Homepage: http://packages.python.org/Flask-WTF/
Vcs-Git: https://salsa.debian.org/python-team/modules/flask-wtf.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-wtf

Package: python3-flaskext.wtf
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: libjs-jquery
Provides: ${python:Provides}
Description: Simple integration of Flask and WTForms (Python 3)
 Flask-WTF is an extension for Flask, providing a simple integration
 of WTForms. It includes optional CSRF handling and Recaptcha support.
 .
 This is a Python 3 package

Package: python-flaskext.wtf-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: libjs-jquery
Description: Simple integration of Flask and WTForms (doc)
 Documentation for Flask-WTF: an extension for Flask, providing a
 simple integration of WTForms. It includes optional CSRF handling
 and Recaptcha support.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flaskext.wtf

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_build:
	# remove failing test file
	rm -f tests/test_recaptcha.py
	dh_auto_build
	cd docs && rm -f license.rst
	cd docs && PYTHONPATH=$(CURDIR)/ make html

=== debian/tests/control ===
Depends: @
Tests: import
Restrictions: allow-stderr

## flask-wtf 0.14.3

=== debian/changelog ===
flask-wtf (0.14.3-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team Upload.
  * New upstream version 0.14.3.
  * d/control: Bump Standard-Versions to 4.5.0.
  * Remove not applied patch.
  * d/rules: Override test execution during the build.
  * d/tests/test: using py3versions -s to make sure all
    supported version are installed.
    - Change the autopkgtest test for a non-trivial test.
  * d/salsa-ci.yml: enable salsa-ci.
  * Add patch to deactivate intersphinx extension.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Remove patches 0001-Disable-test-that-uses-internet.patch that are
    missing from debian/patches/series.
  * Set upstream metadata fields: Repository.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 23 Mar 2020 12:49:54 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Bernd Zeimetz <bzed@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -12,8 +12,8 @@
                python3-wtforms,
                python3-nose,
                python3-flask-babel
-Standards-Version: 4.1.2
-Homepage: http://packages.python.org/Flask-WTF/
+Standards-Version: 4.5.0
+Homepage: https://packages.python.org/Flask-WTF/
 Vcs-Git: https://salsa.debian.org/python-team/modules/flask-wtf.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-wtf

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 %:
 	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild
 
+override_dh_auto_test:
+	python3 setup.py test
+
 override_dh_auto_build:
 	# remove failing test file
 	rm -f tests/test_recaptcha.py

=== debian/tests/control ===
Depends: python3-all,
         python3-flask,
         python3-wtforms,
         python3-flask-babel
Tests: test
Restrictions: allow-stderr

## flask-wtf 1.0.1

=== debian/changelog ===
flask-wtf (1.0.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 22:18:24 +0100

flask-wtf (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pytest instead of nose. (Closes: #1018357)
  * Drop override_dh_auto_test.
  * Update 0001-Remove-intersphinx-extension-to-avoid-external-conne.patch for
    new upstream.
  * Build-depend on python3-pallets-sphinx-themes, python3-sphinx-issues, and
    python3-sphinxcontrib-log-cabinet.
  * Fix PYTHONPATH for `make html`.
  * Do not remove tests/test_recaptcha.py in d/rules, the test passes.
  * Add python3-flaskext.wtf to autopkgtest dependencies.
  * Set Standards-Version to 4.6.1.

 -- Emanuele Rocca <ema@debian.org>  Sat, 17 Sep 2022 22:11:42 +0200

flask-wtf (0.14.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Mon, 02 May 2022 21:21:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: flask-wtf
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-pallets-sphinx-themes,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-issues,
+               python3-sphinxcontrib-log-cabinet,
                python3-flask,
                python3-wtforms,
-               python3-nose,
+               python3-pytest,
                python3-flask-babel
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://packages.python.org/Flask-WTF/
-Vcs-Git: https://salsa.debian.org/python-team/modules/flask-wtf.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-wtf
+Vcs-Git: https://salsa.debian.org/python-team/packages/flask-wtf.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-wtf
 
 Package: python3-flaskext.wtf
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flaskext.wtf

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd docs && rm -f license.rst
	cd docs && PYTHONPATH=$(CURDIR)/src make html

=== debian/tests/control ===
Depends: python3-all,
         python3-flask,
         python3-flaskext.wtf,
         python3-wtforms,
         python3-flask-babel,
Tests: test
Restrictions: allow-stderr

## flask-wtf 1.1.1

=== debian/changelog ===
flask-wtf (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.1
  * Rebuild patche queue from patch-queue branch
    Added patch:
    tests-Revert-upstream-modification-to-test_i18n.py.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 20 Jan 2023 20:17:41 +0100

flask-wtf (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.0
  * Rebuild patch queue from patch-queue branch
    Dropped patch (included upstream):
    Fixed-unit-tests.patch
  * d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 16 Jan 2023 19:52:05 +0100

flask-wtf (1.0.1-3) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: Add some more defaults
  * Rebuild patch queue from patch-queue branch
    Added patches:
    Fixed-unit-tests.patch
    docs-Use-local-Python-intersphinx-inventary.patch
    Removed patch:
    0001-Remove-intersphinx-extension-to-avoid-external-conne.patch
    (Closes: #1026681)
  * debian/*: Running wrap-and-sort -ast
    No further modifications.
  * d/control: Add new build deps and BuildProfileSpecs
  * d/control: Bump Standards-Versions to 4.6.2
    No further changes needed.
  * d/control: Add Rules-Requires-Root: no
  * d/watch: Update to version 4 and git mode
  * d/control: Set homepage to GH project site
  * d/u/metadata: Add project documentation website entry
  * d/salsa-ci.yml: Limit CI run to architecture all
  * d/python-flaskext.wtf-doc.examples: Ship also examples
  * d/copyright: Update upstream year data
  * d/python-flaskext.wtf-doc: Use dh_sphinxdoc for build
  * d/control: Remove Recommends from python-flaskext.wtf-doc
    The package libjs-jquery isn't needed or somehow useful for the package
    python-flaskext.wtf-doc.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 31 Dec 2022 19:43:57 +0100

=== debian/control ===
Source: flask-wtf
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Bernd Zeimetz <bzed@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python-flask-doc <!nodoc>,
 python-wtforms-doc <!nodoc>,
 python3-all,
 python3-doc <!nodoc>,
 python3-flask <!nocheck>,
 python3-flask-babel <!nocheck>,
 python3-pallets-sphinx-themes <!nodoc>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-issues <!nodoc>,
 python3-sphinxcontrib-log-cabinet <!nodoc>,
 python3-wtforms <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/wtforms/flask-wtf
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-wtf.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-wtf

Package: python3-flaskext.wtf
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 libjs-jquery,
Provides:
 ${python:Provides},
Description: Simple integration of Flask and WTForms (Python 3)
 Flask-WTF is an extension for Flask, providing a simple integration
 of WTForms. It includes optional CSRF handling and Recaptcha support.
 .
 This is a Python 3 package

Package: python-flaskext.wtf-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Simple integration of Flask and WTForms (doc)
 Documentation for Flask-WTF: an extension for Flask, providing a
 simple integration of WTForms. It includes optional CSRF handling
 and Recaptcha support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=flaskext.wtf

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	cd docs && rm -f license.rst
	PYTHONPATH=src python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-flaskext.wtf-doc/usr/share/doc/python-flaskext.wtf-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4

opts="mode=git, \
      pgpmode=none, \
      filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.xz%arduino-builder-$1.tar.xz%,\
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/wtforms/flask-wtf.git \
      refs/tags/v@ANY_VERSION@

## flask-wtf 1.2.1

=== debian/changelog ===
flask-wtf (1.2.1-1) unstable; urgency=medium

  * [868b002] d/watch: Add compression type gz
  * [81c13d9] New upstream version 1.2.1
  * [c964cbd] d/control: Upstream moved to hatchling build system
  * [4de9d27] Rebuild patche queue from patch-queue branch
    Removed patch:
    tests-Revert-upstream-modification-to-test_i18n.py.patch
    (Closes: #1052770)
  * [d489ee4] d/rules: Adjust PYTHONPATH within override_dh_sphinxdoc

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 24 Nov 2023 20:31:43 +0000

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
  python3-doc <!nodoc>,
  python3-flask <!nocheck>,
  python3-flask-babel <!nocheck>,
+ python3-hatchling,
  python3-pallets-sphinx-themes <!nodoc>,
  python3-pytest <!nocheck>,
- python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-issues <!nodoc>,
  python3-sphinxcontrib-log-cabinet <!nodoc>,

=== debian/tests/control ===
Depends:
 python3-all,
 python3-flask,
 python3-flask-babel,
 python3-flaskext.wtf,
 python3-wtforms,
Tests: test
Restrictions: allow-stderr

=== debian/watch ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 opts="mode=git, \
       pgpmode=none, \
+	  compression=gz, \
       filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.xz%arduino-builder-$1.tar.xz%,\
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \

## flask-wtf 1.2.2

=== debian/changelog ===
flask-wtf (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * [b4eb707] New upstream version 1.2.2
  * [d2cf2f3] d/watch: Adjust https URL to watch on
  * [f9fc4bf] d/control: Adjust Homepage field to new resource
  * [a73452f] d/u/metadata: Update URL data to new resource
  * [c4d5618] d/copyright: Adjust Source field to new resource
  * [625f7ad] Rebuild patch queue from patch-queue branch
    Adjusted patch:
    docs-Use-local-Python-intersphinx-inventary.patch
  * [246b50c] d/control: Bump Standards-Versions to 4.7.0
    No further changes needed.
  * [e94662b] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 19 Dec 2024 16:30:35 +0200

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,8 @@
  python3-sphinxcontrib-log-cabinet <!nodoc>,
  python3-wtforms <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Homepage: https://github.com/wtforms/flask-wtf
+Standards-Version: 4.7.0
+Homepage: https://github.com/pallets-eco/flask-wtf
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-wtf.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-wtf

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	cd docs && rm -f license.rst
-	PYTHONPATH=src python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-flaskext.wtf-doc/usr/share/doc/python-flaskext.wtf-doc/html
+	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "flask_wtf*dist-info" | head -n1)` \
+	    python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-flaskext.wtf-doc/usr/share/doc/python-flaskext.wtf-doc/html
 	dh_sphinxdoc
 endif

=== debian/watch ===
version=4

opts="mode=git, \
      pgpmode=none, \
	  compression=gz, \
      filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.xz%arduino-builder-$1.tar.xz%,\
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/pallets-eco/flask-wtf.git \
      refs/tags/v@ANY_VERSION@
